# Copyright © Michal Čihař <michal@weblate.org>
#
# SPDX-License-Identifier: GPL-3.0-or-later

# Generated by Django 5.1.8 on 2025-04-09 07:27

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("lang", "0004_alter_language_direction"),
        ("trans", "0032_remove_change_trans_chang_timesta_2565db_idx_and_more"),
    ]

    operations = [
        migrations.AddField(
            model_name="component",
            name="secondary_language",
            field=models.ForeignKey(
                blank=True,
                default=None,
                help_text="Additional language to show together with the source language while translating. This setting is inherited from the project if left empty.",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="component_secondary_languages",
                to="lang.language",
                verbose_name="Secondary language",
            ),
        ),
        migrations.AddField(
            model_name="project",
            name="secondary_language",
            field=models.ForeignKey(
                blank=True,
                default=None,
                help_text="Additional language to show together with the source language while translating.",
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                related_name="project_secondary_languages",
                to="lang.language",
                verbose_name="Secondary language",
            ),
        ),
    ]
